# Kendo UI Core

[![Build Status](https://travis-ci.org/telerik/kendo-ui-core.svg?branch=master)](https://travis-ci.org/telerik/kendo-ui-core)

## About Kendo UI Core

Kendo UI is everything you need to build sites and apps with HTML5 & JavaScript. Kendo UI Core is the free and open-source version of Kendo UI that provides access to the web's best UI widgets and key framework features, essential for developing great experiences for the web and mobile.


## Features of Kendo UI Core

Kendo UI Core is a free and open-source subset of Kendo UI. The following table details the widgets and features available in Kendo UI Core, as well as the additional features available via a commercial Kendo UI license.

| Feature | Core | [Professional](http://www.telerik.com/kendo-ui) | UI for [MVC](http://www.telerik.com/aspnet-mvc)/[JSP](http://www.telerik.com/jsp-ui)/[PHP](http://www.telerik.com/php-ui) |
| ------- | :----: | :--------: | :------------------: |
| **Data Management**       |
| [Grid](http://demos.telerik.com/kendo-ui/grid/index)                  | :x:  | :white_check_mark: | :white_check_mark:           |
| [Spreadsheet](http://demos.telerik.com/kendo-ui/spreadsheet/index)    | :x:  | :white_check_mark: | :white_check_mark:           |
| [ListView](http://demos.telerik.com/kendo-ui/listview/index)          | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [PivotGrid](http://demos.telerik.com/kendo-ui/pivotgrid/index)        | :x:  | :white_check_mark: | :white_check_mark:           |
| [TreeList](http://demos.telerik.com/kendo-ui/treelist/index)          | :x:  | :white_check_mark: | :white_check_mark:           |
| **Editors**               |
| [AutoComplete](http://demos.telerik.com/kendo-ui/autocomplete/index)  | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Color Picker](http://demos.telerik.com/kendo-ui/colorpicker/index)   | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [ComboBox](http://demos.telerik.com/kendo-ui/combobox/index)          | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [DatePicker](http://demos.telerik.com/kendo-ui/datepicker/index)      | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [DateTimePicker](http://demos.telerik.com/kendo-ui/datetimepicker/index) | :white_check_mark: | :white_check_mark: | :white_check_mark:        |
| [DropDownList](http://demos.telerik.com/kendo-ui/dropdownlist/index)  | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Editor](http://demos.telerik.com/kendo-ui/editor/index)              | :x:  | :white_check_mark: | :white_check_mark:           |
| [MaskedTextBox](http://demos.telerik.com/kendo-ui/maskedtextbox/index)| :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [MultiSelect](http://demos.telerik.com/kendo-ui/multiselect/index)    | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [NumericTextBox](http://demos.telerik.com/kendo-ui/numerictextbox/index) | :white_check_mark: | :white_check_mark: | :white_check_mark:        |
| [Slider](http://demos.telerik.com/kendo-ui/slider/index)              | :white_check_mark:| :white_check_mark: | :white_check_mark:            |
| [Switch](http://demos.telerik.com/kendo-ui/switch/index)              | :x:  | :white_check_mark: | :white_check_mark:           |
| [TimePicker](http://demos.telerik.com/kendo-ui/timepicker/index)      | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Upload](http://demos.telerik.com/kendo-ui/upload/index)              | :x:  | :white_check_mark: | :white_check_mark:           |
| [Validator](http://demos.telerik.com/kendo-ui/validator/index)        | :white_check_mark:  | :white_check_mark: | :white_check_mark:           |
| **Charts**                |
| [Area Charts](http://demos.telerik.com/kendo-ui/area-charts/index)    | :x: | :white_check_mark: | :white_check_mark:            |
| [Bar Charts](http://demos.telerik.com/kendo-ui/bar-charts/index)      | :x: | :white_check_mark: | :white_check_mark:            |
| [Box Plot Charts](http://demos.telerik.com/kendo-ui/box-plot-charts/index) | :x: | :white_check_mark: | :white_check_mark:       |
| [Bubble Charts](http://demos.telerik.com/kendo-ui/bubble-charts/index)| :x: | :white_check_mark: | :white_check_mark:            |
| [Bullet Charts](http://demos.telerik.com/kendo-ui/bullet-charts/index)| :x: | :white_check_mark: | :white_check_mark:            |
| [Chart API](http://demos.telerik.com/kendo-ui/chart-api/index)        | :x: | :white_check_mark: | :white_check_mark:            |
| [Donut Charts](http://demos.telerik.com/kendo-ui/donut-charts/index)  | :x: | :white_check_mark: | :white_check_mark:            |
| [Funnel Charts](http://demos.telerik.com/kendo-ui/funnel-charts/index)| :x: | :white_check_mark: | :white_check_mark:            |
| [Line Charts](http://demos.telerik.com/kendo-ui/line-charts/index)    | :x: | :white_check_mark: | :white_check_mark:            |
| [Pie Charts](http://demos.telerik.com/kendo-ui/pie-charts/index)      | :x: | :white_check_mark: | :white_check_mark:            |
| [Polar Charts](http://demos.telerik.com/kendo-ui/polar-charts/index)  | :x: | :white_check_mark: | :white_check_mark:            |
| [Radar Charts](http://demos.telerik.com/kendo-ui/radar-charts/index)  | :x: | :white_check_mark: | :white_check_mark:            |
| [Range Bar Charts](http://demos.telerik.com/kendo-ui/range-bar-charts/index) | :x: | :white_check_mark: | :white_check_mark:     |
| [Scatter Charts](http://demos.telerik.com/kendo-ui/scatter-charts/index) | :x: | :white_check_mark: | :white_check_mark:         |
| [Sparklines](http://demos.telerik.com/kendo-ui/sparklines/index)      | :x: | :white_check_mark: | :white_check_mark:            |
| [Stock Charts](http://demos.telerik.com/kendo-ui/financial/index)     | :x: | :white_check_mark: | :white_check_mark:            |
| [TreeMap](http://demos.telerik.com/kendo-ui/treemap/index)            | :x: | :white_check_mark: | :white_check_mark:            |
| [Waterfall Charts](http://demos.telerik.com/kendo-ui/waterfall-charts/index) | :x: | :white_check_mark: | :white_check_mark:     |
| **Gauges**                |
| [LinearGauge](http://demos.telerik.com/kendo-ui/linear-gauge/index)   | :x: | :white_check_mark: | :white_check_mark:            |
| [RadialGauge](http://demos.telerik.com/kendo-ui/radial-gauge/index)   | :x: | :white_check_mark: | :white_check_mark:            |
| **Barcodes**              |
| [Barcode](http://demos.telerik.com/kendo-ui/barcode/index)            | :x: | :white_check_mark: | :white_check_mark:            |
| [QR Code](http://demos.telerik.com/kendo-ui/qrcode/index)             | :x: | :white_check_mark: | :white_check_mark:            |
| **Diagram and Maps**      |
| [Diagram](http://demos.telerik.com/kendo-ui/diagram/index)            | :x: | :white_check_mark: | :white_check_mark:            |
| [Map](http://demos.telerik.com/kendo-ui/map/index)                    | :x: | :white_check_mark: | :white_check_mark:            |
| **Scheduling**            |
| [Calendar](http://demos.telerik.com/kendo-ui/calendar/index)          | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Gantt](http://demos.telerik.com/kendo-ui/gantt/index)                | :x:  | :white_check_mark: | :white_check_mark:           |
| [Scheduler](http://demos.telerik.com/kendo-ui/scheduler/index)        | :x:  | :white_check_mark: | :white_check_mark:           |
| **Layout**                |
| [Notification](http://demos.telerik.com/kendo-ui/notification/index)  | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Responsive Panel](http://demos.telerik.com/kendo-ui/responsive-panel/index)| :white_check_mark: | :white_check_mark: | :white_check_mark:     |
| [Splitter](http://demos.telerik.com/kendo-ui/splitter/index)          | :white_check_mark:| :white_check_mark: | :white_check_mark:            |
| [Tooltip](http://demos.telerik.com/kendo-ui/tooltip/index)            | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Window](http://demos.telerik.com/kendo-ui/window/index)              | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| **Navigation**            |
| [Button](http://demos.telerik.com/kendo-ui/button/index)              | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [ButtonGroup](http://demos.telerik.com/kendo-ui/buttongroup/index)    | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Menu](http://demos.telerik.com/kendo-ui/menu/index)                  | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [PanelBar](http://demos.telerik.com/kendo-ui/panelbar/index)          | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [TabStrip](http://demos.telerik.com/kendo-ui/tabstrip/index)          | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [ToolBar](http://demos.telerik.com/kendo-ui/toolbar/index)            | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [TreeView](http://demos.telerik.com/kendo-ui/treeview/index)          | :x:  | :white_check_mark: | :white_check_mark:           |
| **Interactivity and UX**  |
| [Drag-and-Drop](http://demos.telerik.com/kendo-ui/dragdrop/index)     | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Effects](http://demos.telerik.com/kendo-ui/fx/expand)                | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [ProgressBar](http://demos.telerik.com/kendo-ui/progressbar/index)    | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Sortable](http://demos.telerik.com/kendo-ui/sortable/index)          | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Styling](http://demos.telerik.com/kendo-ui/styling/index)            | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| **Hybrid UI**     |
| [Widgets](http://demos.telerik.com/kendo-ui/m/index)                  | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Mobile Application](http://demos.telerik.com/kendo-ui/m/index)       | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Mobile Forms](http://demos.telerik.com/kendo-ui/m/index)             | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Mobile Layout](http://demos.telerik.com/kendo-ui/m/index)            | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Mobile SplitView](http://demos.telerik.com/kendo-ui/m/index)         | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Mobile Theme Builder](http://demos.telerik.com/kendo-ui/mobilethemebuilder)| :white_check_mark: | :white_check_mark: | :white_check_mark:     |
| [Mobile Touch Events](http://demos.telerik.com/kendo-ui/m/index)      | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Mobile View](http://demos.telerik.com/kendo-ui/m/index)              | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| **Tools, Frameworks and Utilities**   |
| [Chrome Inspector](https://chrome.google.com/webstore/category/apps)  | :white_check_mark:   | :white_check_mark: | :white_check_mark:         |
| [DataSource](http://demos.telerik.com/kendo-ui/datasource/index)      | :white_check_mark:   | :white_check_mark: | :white_check_mark:         |
| [Drawing API](http://demos.telerik.com/kendo-ui/drawing/index)        | :x: | :white_check_mark: | :white_check_mark:           |
| [Excel Export](http://docs.telerik.com/kendo-ui/framework/excel/introduction) | :x: | :white_check_mark: | :white_check_mark:   |
| [Globalization](http://demos.telerik.com/kendo-ui/globalization/index)| :white_check_mark:   | :white_check_mark: | :white_check_mark: |
| [HierarchicalDataSource](http://docs.telerik.com/kendo-ui/framework/hierarchicaldatasource/overview) | :white_check_mark: | :white_check_mark: | :white_check_mark: |
| [AngularJS Integration](http://demos.telerik.com/kendo-ui/integration/index)| :white_check_mark: | :white_check_mark: | :white_check_mark:     |
| [Bootstrap Friendly](http://demos.telerik.com/kendo-ui/integration/bootstrap)| :white_check_mark: | :white_check_mark: | :white_check_mark:    |
| [Localization](http://docs.telerik.com/kendo-ui/framework/localization/overview) | :white_check_mark: | :white_check_mark: | :white_check_mark:|
| [MVVM Integration](http://demos.telerik.com/kendo-ui/mvvm/index)      | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [PDF Export](http://demos.telerik.com/kendo-ui/pdf-export/index)      | :x: | :white_check_mark: | :white_check_mark:           |
| [Single-Page Application](http://demos.telerik.com/kendo-ui/spa/index)| :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [Templates](http://demos.telerik.com/kendo-ui/templates/index)        | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| [ThemeBuilder](http://demos.telerik.com/kendo-ui/themebuilder)        | :white_check_mark: | :white_check_mark: | :white_check_mark:           |
| **Official Support**                                                  | :x:  | :white_check_mark: | :white_check_mark:           |

## Compatibility and Requirements

Kendo UI Core depends on the following libraries:

- [jQuery](http://www.jquery.com) v1.9.1+

Kendo UI Core has not been tested against any other versions of these libraries. You may find that versions other than these are compatible with Kendo UI Core. However, we make no claims to support those versions, and will not troubleshoot issues that arise when using those versions.


## Building Kendo UI Core

There are two ways to get the source code for Kendo UI Core. You can either download a pre-built zip from [Telerik.com](http://www.telerik.com/kendo-ui/open-source-core), or build the source yourself using Gulp. The latter approach includes an option for building a distribution of Kendo UI Core that includes only the widgets and framework features required by your app.

### Installing Dependencies

In order to build Kendo UI Core, you need to have **Node.js 4.x** and **git 2.x**.

For Windows you have to download and install [Git for Windows](https://git-for-windows.github.io/) and [Node.js](http://nodejs.org/download/) and [Visual C++ Build Tools](http://landinghub.visualstudio.com/visual-cpp-build-tools).

Mac OS users should install [Homebrew](http://mxcl.github.com/homebrew/). Once Homebrew is installed, run `brew install git` to install git, and `brew install node` to install Node.js.

Linux users can use the [distributions provided by NodeSource](https://github.com/nodesource/distributions) or their package managers to install `git` and `nodejs`.

### How to build Kendo UI Core

Clone a copy of the repository by running

```bash
git clone https://github.com/telerik/kendo-ui-core.git
```

Enter the repository directory

```bash
cd kendo-ui-core
```

Initialize the submodule repository

```bash
git submodule update --init
```

Run the build script:
```bash
npm run build
```
The minified version of the scripts and styles of Kendo UI Core will be put in the `dist/` subdirectory.

If you want to create custom build or help with Kendo UI Core development, it would be better to install the [gulp command line interface](https://github.com/gulpjs/gulp/blob/master/docs/getting-started.md#1-install-gulp-globally) as a global package:

```sh
[sudo] npm install --global gulp
```
Make sure you have `gulp` installed by testing:

```sh
gulp --version
```

Now by running the `gulp` command in the Kendo UI Core directory, you can build the full version of Kendo UI Core. This works just like the `npm run build` command:
```sh
gulp build
```

There are several other tasks available:
```sh
gulp --tasks
```

### Building only what you need

The gulp `custom` task will create a custom minified file - `dist/kendo.custom.min.js`, which includes only the specified components. The following command will include only the autocomplete and dropdownlist widgets:

```sh
gulp custom -c autocomplete,dropdownlist
```

## Source Code and Downloads

If you want to skip building Kendo UI Core yourself, head on over to [Telerik.com](http://www.telerik.com/kendo-ui/open-source-core) to grab the full source.

## Using Kendo UI Core via the Kendo Static CDN

You can also easily include Kendo UI Core in your site or application by using the Kendo CDN:

```html
<link href="http://kendo.cdn.telerik.com/2014.2.716/styles/kendo.common.min.css" rel="stylesheet" />
<link href="http://kendo.cdn.telerik.com/2014.2.716/styles/kendo.default.min.css" rel="stylesheet" />
<script src="http://kendo.cdn.telerik.com/2014.2.716/js/jquery.min.js"></script>
<script src="http://kendo.cdn.telerik.com/2014.2.716/js/kendo.ui.core.min.js"></script>
```
The main advantage of the CDN approach is that your users may be able to leverage a primed cache version of Kendo UI Core if they've visited other sites using the framework.

## Documentation

For complete Kendo UI Documentation, including Kendo UI Core, please visit http://docs.telerik.com/kendo-ui.

## How to Contribute

Kendo UI Core is free and open-source. We encourage and support an active, healthy community that accepts contributions from the public. We'd like you to be a part of that community.

Before contributing to Kendo UI Core, please:

1. Read and sign the [Kendo UI Core Contribution License Agreement](http://www.telerik.com/kendo-ui/cla), to confirm you've read and acknowledged the legal aspects of your contributions, and
2. Read our [contribution guide](CONTRIBUTING.md), which houses all of the necessary info to:
	- submit bugs,
	- request new features, and
	- walk you through the entire process of preparing your code for a Pull Request.

## Getting Help

* Use the
[issues list](https://github.com/telerik/kendo-ui-core/issues)
of this repo for bug reports, related both to Kendo UI Core and Kendo UI Professional

* Get help on
[Stack Overflow](http://stackoverflow.com/questions/tagged/kendo-ui)
or the
[Kendo UI Premium Forums](http://www.telerik.com/forums/kendo-ui-framework)

* File feature requests on [User Voice](http://kendoui-feedback.telerik.com/forums/127393-kendo-ui-feedback)

As a fully-open source project, Kendo UI Core is a primarily community-supported project, As such, you are encouraged to use forums like Stack Overflow to post questions, and the issues list of this repo to report bugs.

The Kendo UI team does *not* provide formal support for Kendo UI Core, except to those customers who have purchased a [commercial license for Kendo UI](http://www.telerik.com/kendo-ui) (Professional, UI for MVC, etc.) or a support-only package from Telerik.com. Please do not create support requests for this project in the issues list for this repo, as these will be immediately closed. You'll be directed to post your question on a community forum.

## Release Notes

For change logs and release notes, see the [online release notes at Telerik.com](http://www.telerik.com/support/whats-new/kendo-ui/release-history).

## License Information

This project has been released under the [Apache License, version 2.0](http://www.apache.org/licenses/LICENSE-2.0.html), the text of which is included below. This license applies ONLY to the source of this repository and does not extend to any other Kendo UI distribution or variant, or any other 3rd party libraries used in a repository. For licensing information about Kendo UI, see the [License Agreements page](https://www.kendoui.com/purchase/license-agreement.aspx) at [KendoUI.com](http://www.kendoui.com).

> Copyright © 2014-2016 Telerik

> Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

> [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)

>  Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
