---
title: Overview
page_title: Overview | Kendo UI Accessibility Support
description: "Learn about the general requirements web applications have to meet to be accessible and the Accessibility support Kendo UI controls provide."
slug: overview_accessibility_support_kendoui
position: 1
---

# Accessibility Overview

Web Accessibility, simply put, is the creation of sites and applications that can be fully experienced by the broadest number of users. That includes disabled users, who typically visit the sites we create with the help of assistive technologies such as screen readers.

## Importance

For the most basic, text-driven web experiences, these technologies work well, and disabled users greatly benefit. However, the Web has exploded well beyond the realm of text-based experiences in the last decade, and assistive technologies have struggled to keep up.

The good news is that there is something we, as web developers, can do to easily bridge the gap to those assistive technologies, which enables the accessibility tools to better aid disabled users as they interact with the sites we create. By providing things like full keyboard support, high-contrast visual elements, text-based equivalents of non-text elements and by adhering to standards like [WAI-ARIA](http://www.w3.org/WAI/PF/aria-practices/), [WCAG 2.0](http://www.w3.org/TR/WCAG20/), and [Section 508](http://www.section508.gov), we have the tools we need to create accessible and rich Internet applications.

## See Also

* [Section 508 Support in Kendo UI]({% slug section508_accessibility_support %})
* [Section 508 and WCAG 2.0 Compliance of Kendo UI Widgets]({% slug section508_wcag20_accessibility_support %})
* [WAI-ARIA Support in Kendo UI]({% slug wai_aria_accessibility_support %})
* [Keyboard Support in Kendo UI]({% slug keyboard_shortcuts_accessibility_support %})
* [Right-to-Left Language Support in Kendo UI]({% slug right_toleft_languages_accessibility_support %})
* [Working with the Kendo UI High-Contrast Theme]({% slug high_contrast_theme_accessibility_support %})
* [Five Tips for Accessible Charts with Kendo UI]({% slug charts_accessibility_support %})
