---
title: Initialize the Grid in PanelBar
page_title: Initialize the Grid in PanelBar | Kendo UI Grid
description: "Learn how to initialize a Kendo UI Grid inside a Kendo UI PanelBar widget by resizing it according to the dimensions of its container."
slug: howto_initializegridinpanelbar_grid
---

# Initialize the Grid in PanelBar

Your project might require you to initialize a Grid within a PanelBar.

To achieve this behavior, use the `activate` event to resize the Grid according to the dimensions of its container. To see the example, refer to [this how-to article]({% slug initialize_thegrid_panelbar_widget %}).

## See Also

* [JavaScript API Reference of the Grid](/api/javascript/ui/grid)
* [How to Bind to Telerik Backend Services]({% slug howto_bindto_telerik_backend_services_grid %})
* [How to Change Languages Dynamically]({% slug howto_dynamic_language_change %})
* [How to Create Custom ToolBar Templates]({% slug howto_create_custom_toolbar_templates_grid %})
* [How to Create Custom Edit Buttons]({% slug howto_create_custom_edit_buttons_grid %})
* [How to Use Resize Columns from a Button]({% slug howto_resize_columnsfrom_abutton_grid %})
* [How to Use AngularJS in Popup Editor Templates]({% slug howto_use_angularin_popup_editor_templates_grid %})

For more runnable examples on the Kendo UI Grid, browse its [**How To** documentation folder]({% slug howto_adjust_row_heights_template_locked_columns_grid %}).
