---
title: Browser Support
page_title: Browser Support | Kendo UI Upload
description: "Learn about the browser versions that support the Kendo UI Upload features."
slug: browsersupport_upload_widget
position: 7
---

# Browser Support

The Kendo UI Upload uses progressive enhancement to enable certain features when browser support is detected.

The following table lists each Kendo UI feature as supported by the respective browser version.

| Feature                                           | IE  | Firefox  | Chrome | Safari      | Opera   |  Works without JavaScript
| ---                                               | --- | ---      | ---    | ---         | ---     |  ---
| Styled **Upload** button                          | ✓   | ✓        | ✓      | ✓           | ✓      |  ✓
| Asynchronous upload                               | ✓   | ✓        | ✓      | ✓           | ✓      |  ✕
| Multiple file selection from the **Open** dialog  | 10+ | 3.6+     | ✓      | ✓           | ✕      |  ✓
| Progress tracking                                 | 10+ | 4+       | ✓      | ✓           | ✕      |  ✕
| File drag-and-drop                                | 10+ | 4+       | ✓      | Mac OS only | ✕      |  ✕
| In-progress cancellation of upload                | ✓   | ✓        | ✓      | ✓           | ✓      |  ✕

## See Also

Other articles on the Kendo UI Upload:

* [Overview of the Upload Widget]({% slug overview_kendoui_upload_widget %})
* [Drag and Drop]({% slug dragandrop_upload_widget %})
* [Chunk Upload]({% slug chunkupload_upload_widget %})
* [Send and Receive Metadata]({% slug metadata_upload_widget %})
* [Modes of Operation]({% slug modes_upload_widget %})
* [Troubleshooting]({% slug troubleshooting_upload_widget %})
