---
title: Bundle Support for Kendo UI Components
page_title: Bundle Support for Kendo UI Components | Kendo UI Getting Started
description: "Check out the controls supported by Kendo UI Core, Kendo UI Professional, and Kendo UI Complete."
previous_url: /intro/list-of-widgets
slug: bundle_supportfor_kendoui_components
position: 2
---

# Bundle Support for Kendo UI Components

The following table lists all Kendo UI components with regard to their support by the different Kendo UI bundles.

| COMPONENT             | KENDO UI CORE     | KENDO UI PROFESSIONAL     | KENDO UI COMPLETE         |
| :---                  | :---              | :---                      | :---                      |
| **Data Management**       |
| [Grid](http://demos.telerik.com/kendo-ui/grid/index)                  | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Spreadsheet](http://demos.telerik.com/kendo-ui/spreadsheet/index)    | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [ListView](http://demos.telerik.com/kendo-ui/listview/index)          | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [PivotGrid](http://demos.telerik.com/kendo-ui/pivotgrid/index)        | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [TreeList](http://demos.telerik.com/kendo-ui/treelist/index)          | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Editors**               |
| [AutoComplete](http://demos.telerik.com/kendo-ui/autocomplete/index)  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Color Picker](http://demos.telerik.com/kendo-ui/colorpicker/index)   | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [ComboBox](http://demos.telerik.com/kendo-ui/combobox/index)          | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [DatePicker](http://demos.telerik.com/kendo-ui/datepicker/index)      | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [DateTimePicker](http://demos.telerik.com/kendo-ui/datetimepicker/index) | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>        |
| [DropDownList](http://demos.telerik.com/kendo-ui/dropdownlist/index)  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Editor](http://demos.telerik.com/kendo-ui/editor/index)              | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [MaskedTextBox](http://demos.telerik.com/kendo-ui/maskedtextbox/index)| <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [MultiSelect](http://demos.telerik.com/kendo-ui/multiselect/index)    | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [NumericTextBox](http://demos.telerik.com/kendo-ui/numerictextbox/index) | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>        |
| [Slider](http://demos.telerik.com/kendo-ui/slider/index)              | <span class="tag-success">Yes</span>| <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Switch](http://demos.telerik.com/kendo-ui/switch/index)              | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [TimePicker](http://demos.telerik.com/kendo-ui/timepicker/index)      | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Upload](http://demos.telerik.com/kendo-ui/upload/index)              | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Validator](http://demos.telerik.com/kendo-ui/validator/index)        | <span class="tag-success">Yes</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Charts**                |
| [Area Charts](http://demos.telerik.com/kendo-ui/area-charts/index)    | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Bar Charts](http://demos.telerik.com/kendo-ui/bar-charts/index)      | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Box Plot Charts](http://demos.telerik.com/kendo-ui/box-plot-charts/index) | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>       |
| [Bubble Charts](http://demos.telerik.com/kendo-ui/bubble-charts/index)| <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Bullet Charts](http://demos.telerik.com/kendo-ui/bullet-charts/index)| <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Chart API](http://demos.telerik.com/kendo-ui/chart-api/index)        | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Donut Charts](http://demos.telerik.com/kendo-ui/donut-charts/index)  | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Funnel Charts](http://demos.telerik.com/kendo-ui/funnel-charts/index)| <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Line Charts](http://demos.telerik.com/kendo-ui/line-charts/index)    | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Pie Charts](http://demos.telerik.com/kendo-ui/pie-charts/index)      | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Polar Charts](http://demos.telerik.com/kendo-ui/polar-charts/index)  | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Radar Charts](http://demos.telerik.com/kendo-ui/radar-charts/index)  | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Range Bar Charts](http://demos.telerik.com/kendo-ui/range-bar-charts/index) | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>     |
| [Scatter Charts](http://demos.telerik.com/kendo-ui/scatter-charts/index) | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>         |
| [Sparklines](http://demos.telerik.com/kendo-ui/sparklines/index)      | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Stock Charts](http://demos.telerik.com/kendo-ui/financial/index)     | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [TreeMap](http://demos.telerik.com/kendo-ui/treemap/index)            | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Waterfall Charts](http://demos.telerik.com/kendo-ui/waterfall-charts/index) | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>     |
| **Gauges**                |
| [LinearGauge](http://demos.telerik.com/kendo-ui/linear-gauge/index)   | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [RadialGauge](http://demos.telerik.com/kendo-ui/radial-gauge/index)   | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| **Barcodes**              |
| [Barcode](http://demos.telerik.com/kendo-ui/barcode/index)            | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [QR Code](http://demos.telerik.com/kendo-ui/qrcode/index)             | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| **Diagram and Maps**      |
| [Diagram](http://demos.telerik.com/kendo-ui/diagram/index)            | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Map](http://demos.telerik.com/kendo-ui/map/index)                    | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| **Scheduling**            |
| [Calendar](http://demos.telerik.com/kendo-ui/calendar/index)          | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Gantt](http://demos.telerik.com/kendo-ui/gantt/index)                | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Scheduler](http://demos.telerik.com/kendo-ui/scheduler/index)        | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Layout**                |
| [Notification](http://demos.telerik.com/kendo-ui/notification/index)  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Responsive Panel](http://demos.telerik.com/kendo-ui/responsive-panel/index)| <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>     |
| [Splitter](http://demos.telerik.com/kendo-ui/splitter/index)          | <span class="tag-success">Yes</span>| <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>            |
| [Tooltip](http://demos.telerik.com/kendo-ui/tooltip/index)            | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Window](http://demos.telerik.com/kendo-ui/window/index)              | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Dialog](http://demos.telerik.com/kendo-ui/dialog/index)              | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Navigation**            |
| [Button](http://demos.telerik.com/kendo-ui/button/index)              | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [ButtonGroup](http://demos.telerik.com/kendo-ui/buttongroup/index)    | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Menu](http://demos.telerik.com/kendo-ui/menu/index)                  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [PanelBar](http://demos.telerik.com/kendo-ui/panelbar/index)          | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [TabStrip](http://demos.telerik.com/kendo-ui/tabstrip/index)          | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [ToolBar](http://demos.telerik.com/kendo-ui/toolbar/index)            | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [TreeView](http://demos.telerik.com/kendo-ui/treeview/index)          | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Interactivity and UX**  |
| [Drag-and-Drop](http://demos.telerik.com/kendo-ui/dragdrop/index)     | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Effects](http://demos.telerik.com/kendo-ui/fx/expand)                | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [ProgressBar](http://demos.telerik.com/kendo-ui/progressbar/index)    | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Sortable](http://demos.telerik.com/kendo-ui/sortable/index)          | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Styling](http://demos.telerik.com/kendo-ui/styling/index)            | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Media**  |
| [Media Player](http://demos.telerik.com/kendo-ui/mediaplayer/index)   | <span class="tag-neutral">No</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Hybrid UI**     |
| [Widgets](http://demos.telerik.com/kendo-ui/m/index)                  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Mobile Application](http://demos.telerik.com/kendo-ui/m/index)       | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Mobile Forms](http://demos.telerik.com/kendo-ui/m/index)             | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Mobile Layout](http://demos.telerik.com/kendo-ui/m/index)            | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Mobile SplitView](http://demos.telerik.com/kendo-ui/m/index)         | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Mobile Theme Builder](http://demos.telerik.com/kendo-ui/mobilethemebuilder)| <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>     |
| [Mobile Touch Events](http://demos.telerik.com/kendo-ui/m/index)      | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Mobile View](http://demos.telerik.com/kendo-ui/m/index)              | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Tools, Frameworks and Utilities**   |
| [Chrome Inspector](https://chrome.google.com/webstore/category/apps)  | <span class="tag-success">Yes</span>   | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>         |
| [DataSource](http://demos.telerik.com/kendo-ui/datasource/index)      | <span class="tag-success">Yes</span>   | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>         |
| [Drawing API](http://demos.telerik.com/kendo-ui/drawing/index)        | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Excel Export](http://docs.telerik.com/kendo-ui/framework/excel/introduction) | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>   |
| [Globalization](http://demos.telerik.com/kendo-ui/globalization/index)| <span class="tag-success">Yes</span>   | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> |
| [HierarchicalDataSource](http://docs.telerik.com/kendo-ui/framework/hierarchicaldatasource/overview) | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> |
| [AngularJS Integration](http://demos.telerik.com/kendo-ui/integration/index)| <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>     |
| [Bootstrap Friendly](http://demos.telerik.com/kendo-ui/integration/bootstrap)| <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>    |
| [Localization](http://docs.telerik.com/kendo-ui/framework/localization/overview) | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>|
| [MVVM Integration](http://demos.telerik.com/kendo-ui/mvvm/index)      | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [PDF Export](http://demos.telerik.com/kendo-ui/pdf-export/index)      | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Single-Page Application](http://demos.telerik.com/kendo-ui/spa/index)| <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [Templates](http://demos.telerik.com/kendo-ui/templates/index)        | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| [ThemeBuilder](http://demos.telerik.com/kendo-ui/themebuilder)        | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |
| **Official Support**                                                  | <span class="tag-neutral">No</span>  | <span class="tag-success">Yes</span> | <span class="tag-success">Yes</span>           |

## See Also

Other articles on getting started with Kendo UI:

* [Get Started with Kendo UI]({% slug getting_started_installation_kendoui %})
* [Kendo UI Bower Packages]({% slug kendoui_bower_packages_kendoui_installation %})
* [Kendo UI CDN Services]({% slug kendoui_cdn_services_installation %})
* [JavaScript Prerequisites]({% slug javascript_prerequisites_kendoui_installation %})
* [Initialize Widgets Using Markup]({% slug initialize_widgets_using_markup_installation %})
* [Initialize Widgets Using jQuery Plug-Ins]({% slug initialize_widgets_using_jquery_plugins_installation %})
* [Include Only What You Need]({% slug include_only_what_you_need_kendoui_installation %})
* [Access Widget DOM Elements: wrapper and element]({% slug widgetwrapperandelement_references_gettingstarted %})
* [Set Data Attributes]({% slug dataattributes_configuration_installation %})
* [Widget Methods and Events]({% slug widget_methodsand_events_kendoui_installation %})
* [Destroy Widgets]({% slug destroywidgets_kendoui_gettingstarted %})
* [Create Custom Widgets]({% slug createcustomkendouiwidgets_gettingstarted %})
