---
title: Welcome to Kendo UI!
page_title: Introduction | Progress Kendo UI 
description: "Learn about the Kendo UI controls, their distributions, frameworks, tools, and utilities."
previous_url: /index
slug: welcometo_kendoui
position: 1
---

# Welcome to Kendo UI!

Progress<sup>®</sup> Kendo UI is an HTML5 user interface framework for building interactive and high-performance websites and applications.

## Overview

The framework comes with a library of 70+ UI widgets, an abundance of data-visualization gadgets, client-side data source, built-in MVVM (Model-View-ViewModel) library. Kendo UI provides AngularJS and Bootstrap integration.

[Check Out Kendo UI Online Demos](http://demos.telerik.com/kendo-ui/)

Kendo UI is distributed as part of several product units that you can choose from depending on your project requirements.

### Kendo UI Professional

Kendo UI Professional is one of the commercial versions of Kendo UI. It is a comprehensive framework providing 70+ Kendo UI widgets, and includes a simple and consistent programming interface, a rock-solid Data Source, out-of-the-box themes, an MVVM framework, and more. Kendo UI Professional includes widgets for enterprise-grade line-of-business applications and is suitable for creating professional websites that require expert and timely technical support.

* [List of Kendo UI Components]({% slug bundle_supportfor_kendoui_components %})
* [Browser Support]({% slug wbe_browserand_operating_system_support %})
* [Evaluate Kendo UI Professional](http://www.telerik.com/download/kendo-ui)
* [Get a License](http://www.telerik.com/purchase/kendo-ui)
* [License Agreement](http://www.telerik.com/purchase/license-agreement/kendo-ui-professional)

### Kendo UI Complete

Kendo UI Complete incorporates all the products in the Kendo UI family:

* Kendo UI Professional
* [UI for ASP.NET MVC](/aspnet-mvc/introduction)
* [UI for JSP](/jsp/introduction)
* [UI for PHP](http://docs.telerik.com/kendo-ui/php/introduction).

In addition, you also receive a license for the [RadSpreadProcessing](http://www.telerik.com/products/wpf/spreadsheet-processing.aspx) library for .NET.

#### UI for ASP.NET MVC

[Progress<sup>®</sup> Telerik<sup>®</sup> UI for ASP.NET MVC](http://docs.telerik.com/aspnet-mvc/introduction) is a Kendo UI product flavor which targets ASP.NET MVC developers. It includes all Kendo UI Professional components as well as HtmlHelper extension methods (a.k.a. server-side wrappers) which allow you to configure the Kendo UI widgets via C# code.

* [List of Kendo UI Components]({% slug bundle_supportfor_kendoui_components %})
* [Browser Support]({% slug wbe_browserand_operating_system_support %})
* [Evaluate UI for ASP.NET MVC](https://www.telerik.com/download-trial-file/v2/ui-for-asp.net-mvc)
* [Get a License](http://www.telerik.com/purchase/aspnet-mvc)
* [License Agreement](http://www.telerik.com/purchase/license-agreement/aspnet-mvc)
* [Documentation](http://docs.telerik.com/aspnet-mvc/introduction)

#### UI for ASP.NET Core

[Progress<sup>®</sup> Telerik<sup>®</sup> UI for ASP.NET Core](http://docs.telerik.com/aspnet-core/introduction) supports the .NET Core runtime. It includes all Kendo UI Professional components as well as the Kendo UI Tag Helpers that help you configure the Kendo UI widgets using the new Tag Helpers feature in ASP.NET Core.

* [List of Kendo UI Components]({% slug bundle_supportfor_kendoui_components %})
* [Browser Support]({% slug wbe_browserand_operating_system_support %})
* [Evaluate UI for ASP.NET Core](https://www.telerik.com/download-trial-file/v2/ui-for-asp.net-mvc)
* [Get a License](http://www.telerik.com/purchase/aspnet-mvc)
* [License Agreement](http://www.telerik.com/purchase/license-agreement/aspnet-mvc)
* [Documentation](http://docs.telerik.com/aspnet-core/introduction)

#### UI for JSP

[Progress<sup>®</sup> Telerik<sup>®</sup> UI for JSP](/jsp/introduction) is a Kendo UI product flavor which targets the Java web application developers. It includes JSP (Java Server Pages) tags for all Kendo UI Professional widgets.

* [List of Kendo UI Components]({% slug bundle_supportfor_kendoui_components %})
* [Browser Support]({% slug wbe_browserand_operating_system_support %})
* [Evaluate UI for JSP](http://www.telerik.com/download/jsp-ui)
* [Get a License](http://www.telerik.com/purchase/jsp-ui)
* [License Agreement](http://www.telerik.com/purchase/license-agreement/jsp-ui)
* [Documentation](/jsp/introduction)

#### UI for PHP

[Progress<sup>®</sup> Telerik<sup>®</sup> UI for PHP](/php/introduction) is a Kendo UI product flavor which targets the PHP web application developers. It includes PHP classes for configuring all Kendo UI Professional widgets.

* [List of Kendo UI Components]({% slug bundle_supportfor_kendoui_components %})
* [Browser Support]({% slug wbe_browserand_operating_system_support %})
* [Evaluate UI for PHP](http://www.telerik.com/download/php-ui)
* [Get a License](http://www.telerik.com/purchase/php-ui)
* [License Agreement](http://www.telerik.com/purchase/license-agreement/php-ui)
* [Documentation](/php/introduction)

#### RadSpreadProcessing

[RadSpreadProcessing](http://www.telerik.com/products/wpf/spreadsheet-processing.aspx) is a .NET library that allows you to read, create and write Microsoft Excel (.XLSX) documents.

It complements the Spreadsheet component and allows you to process the data on the server, but can be used on its own as well.

* [Server-Side Processing with the UI for ASP.NET MVC Spreadsheet](http://docs.telerik.com/aspnet-mvc/helpers/spreadsheet/spreadsheet-processing)
* [Server-Side Processing with the Kendo UI Spreadsheet]({% slug serverside_processing_spreadsheet_widget %})
* [RadSpreadProcessing Overview](http://docs.telerik.com/devtools/wpf/controls/radspreadprocessing/overview)

## Other Kendo UI Incorporating Products

Kendo UI Core is the free and open-source Kendo UI distribution, released under Apache v2.0 License. It provides access to a limited number of widgets and framework features, and to 1,000+ tests running across browsers for each commit to the [Kendo UI Core GitHub repository](https://github.com/telerik/kendo-ui-core). Kendo UI Core is suitable for open-source or commercial projects that do not require complex UI, such as Grid, Chart, etc., nor dedicated technical support. Kendo UI Core does not offer dedicated technical support.

* [List of Kendo UI Components]({% slug bundle_supportfor_kendoui_components %})
* [Browser Support]({% slug wbe_browserand_operating_system_support %})

Kendo UI is also incorporated into products such as [Telerik Platform](http://www.telerik.com/platform#overview), [Telerik Analytics](http://www.telerik.com/analytics), [Sitefinity](http://www.sitefinity.com/), [TeamPulse](http://www.telerik.com/teampulse), [Test Studio](http://www.telerik.com/teststudio), and others.

## Next Steps

* [Get Started with Kendo UI]({% slug getting_started_installation_kendoui %})
* [Install Kendo UI as a Bower Package]({% slug kendoui_bower_packages_kendoui_installation %})
* [Use Kendo UI CDN Services]({% slug kendoui_cdn_services_installation %})
* [Include Only What You Need]({% slug include_only_what_you_need_kendoui_installation %})
* [JavaScript Prerequisites]({% slug javascript_prerequisites_kendoui_installation %})
* [Initialize Widgets Using jQuery Plug-Ins]({% slug initialize_widgets_using_jquery_plugins_installation %})
* [Initialize Widgets Using Markup]({% slug initialize_widgets_using_markup_installation %})
* [Access Widget DOM Elements: wrapper and element]({% slug widgetwrapperandelement_references_gettingstarted %})
* [Set Data Attributes]({% slug dataattributes_configuration_installation %})
* [Call Widget Methods and Bind to Events]({% slug widget_methodsand_events_kendoui_installation %})
* [Destroy Widgets]({% slug destroywidgets_kendoui_gettingstarted %})
* [Create Custom Kendo UI Widgets]({% slug createcustomkendouiwidgets_gettingstarted %})

## Learning Resources

* [Kendo UI Dojo Interactive Learning Platform](http://dojo.telerik.com/)
* [Kendo UI Support and Learning Resources](http://www.telerik.com/support/kendo-ui)
* [Kendo UI YouTube Channel](https://www.youtube.com/user/kendouiTV)
