---
title: Contributing to Documentation
page_title: Contributing to Documentation | Updates and Contribution
description: "Share with us your suggestions and feedback on the Kendo UI documentation to make it even better."
previous_url: /contribution-to-documents
slug: helpimprove_ourdocumentation_kendoui
position: 252
---

# Contributing to Documentation

Our documentation hub online aims at providing well-structured, up-to-date, and easy-to-access help articles on Kendo UI.

Whether you are moderately enthusiastic about programming or passionately devoted to innovation, our purpose is to help you augment the solutions for your project. You can support us achieve our goal and further elaborate on our documentation, samples, tutorials, and demos by providing your suggestions and feedback in the most suitable way for you.

## Ways to Contribute

### Submit New Issues to GitHub

[Opening](https://github.com/telerik/kendo-ui-core/issues) a new issue on a topic is the fastest way for you to submit your feedback:

**Step 1:** Use the **Search** box first to check if the issue has not been raised before and submitted to us already.
**Step 2:** If not, then go ahead and [create a new issue](https://help.github.com/articles/creating-an-issue/). Make sure you elaborate on your suggestion and include a link to the document you refer to, or a link to the closest anchor to the issue.

### Update Documents on GitHub

Updating any of our documents on GitHub is the most direct way you can contribute to our help files:

**Step 1:** [Fork](https://help.github.com/articles/fork-a-repo/) our documentation.
**Step 2:** Work on the issue you want to update in your local repository.
**Step 3:** [Submit](https://help.github.com/articles/using-pull-requests/) a pull request.

Note that you can find additional and detailed information on how to update a document on GitHub [here](https://github.com/telerik/kendo-ui-core/tree/master/docs#contributing).

### Use the Forums

Using the Kendo UI forums is yet another straightforward way to submit your suggestion, but note that it is going to take more time for the issue to reach our team of Technical Writers. However, if you like the accountability of forums and need a quick reply from our support team, leaving feedback in the Kendo UI forums guarantees that your suggestion has a support number and that we will follow up on it.

**Step 1:** Visit the [Kendo UI Forums](http://www.telerik.com/forums/kendo-ui).
**Step 2:** Check if the topic already exists by using the **Search** box.
**Step 3:** Add your feedback to an existing topic if relevant, or create a new one.

## See Also

* [Latest Changes in the Kendo UI Documentation]({% slug documentation_updates_2017_kendoui %})
